
ChiliProject - Feature # 747: Include capybara for integration tests

Status: Closed Priority: Normal
Author: Eric Davis Category: Testing
Created: 2011-12-02 Assignee: Eric Davis
Updated: 2011-12-09 Due date:
Remote issue URL:
Affected version:
Description: I've been using webrat and capybara in my plugins for awhile now and have found capybara to be really 

useful to drive integration tests.

I propose we include it for 3.0 and then we can start using it as needed (for new tests or existing tests).

The main benefit is that capybara can drive actual usage of the app; things like clicking links and filling out 
and submitting forms. Right now the integration tests "fake" this by sending get/post/put/delete requests to the 
server. This will really help with refactoring too, i.e. if a form's url was missed during refactoring, capybara will 
submit it to the old url, which will fail the test.

I'll supply a pull request in a few minutes (it's just a gem addition and some helpers I've refined).

Associated revisions
2008-05-17 01:03 pm - Jean-Philippe Lang 
Fixed: possible error when attachment's filename is non-ASCII (#747, #1243, #1089).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1433 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-12-02 01:46 am - Eric Davis
[#747] Include capybara for integration tests

2011-12-02 03:13 am - Eric Davis
[#747] Add some capybara helper methods

History
2011-12-02 02:19 am - Eric Davis
- Status changed from Open to Ready for review

Pull request ready: https://github.com/chiliproject/chiliproject/pull/136

Later on I'd like to port the existing integration tests over but they will need to be done 1-by-1 (e.g. get 'url' vs visit 'url' and click_link). The following 
snippet should add capybara to an existing integration test:

<pre><code class="ruby">
class YourIntegrationTest < ActionController::IntegrationTest
  include IntegrationTestHelpers::CapybaraHelpers
  include Capybara

  # ...
end
</code></pre>

2011-12-09 09:29 pm - Eric Davis
- Status changed from Ready for review to Closed
Merged into @unstable@. Feel free to start switching to using capybara or adding some more capybara helpers as needed.
